<!DOCTYPE html>
<!--[if lt IE 7]>	  <html class="no-js lt-ie9 lt-ie8 lt-ie7" xmlns:og="http://opengraphprotocol.org/schema/" > <![endif]-->
<!--[if IE 7]>		 <html class="no-js lt-ie9 lt-ie8" xmlns:og="http://opengraphprotocol.org/schema/" > <![endif]-->
<!--[if IE 8]>		 <html class="no-js lt-ie9" xmlns:og="http://opengraphprotocol.org/schema/" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" xmlns:og="http://opengraphprotocol.org/schema/" > <!--<![endif]-->
<!-- Copyright 2013 A-WebSys -->
<!-- all rights reserved -->
<head>
	<meta charset="utf-8" />
	<!--[if ie]><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" /><![endif]-->

	{* Title web *}
	{$head_title}

	{* Meta info as keywords, descriptions, ... *}
	{$head_meta}
	<meta name="viewport" content="width=device-width" />
	<meta name="author" content="A-WebSys, spol. s r.o., www.awebsys.cz" />

	{* Facebook site verification *}
	{if $is_facebook_enable}<meta property="fb:app_id" content="{$fb_app_id}" />{/if}

	{* SEO CANONICAL *}
	{if $canonical_url}<link rel="canonical" href="{$canonical_url}" />{/if}

	{* Fonts *}
	{*<link rel="stylesheet" href='http://fonts.googleapis.com/css?family=Open+Sans:400,400italic,700,300&amp;subset=latin,latin-ext'>	*}

	{* Include CSS *}
	<link media="screen" rel="stylesheet" href="{$web_path}/css/ui.tabs.css" />
	<link media="screen" rel="stylesheet" href="{$web_path}/css/jquery.fancybox.css" />
	<link media="screen" rel="stylesheet" href="{$web_path}/css/jquery.autocomplete.css" />
	<link media="screen" rel="stylesheet" href="{$web_path}/css/normalize.css" />
	<link media="screen" rel="stylesheet" href="/css/cssreset-context.css">
	<link media="screen" rel="{useless}" href="{$web_path}/css/main.less.css" />

	{* Load less javascript compiler if shop is in development *}
	{load_lessjs}

	{* HTML5 support *}
	<script src="{$web_path}/js/vendor/modernizr-2.6.1-respond-1.1.0.min.js"></script>

	{* jQuery support *}
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	<script src="{$web_path}/js/vendor/jquery.browser.min.js"></script>
	<script type="text/javascript" src="//maxcdn.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
	<script src="/js/jquery.easing.1.3.js"></script>

	{$html_code_header}
</head>
<body>
	{* facebook *}
	{if $is_facebook_enable}
    {fb_init appId=$fb_app_id}
//set pagelike iframe width accordingly to template
    {fb_pagelike_width}
//whenever the user logs in, we refresh the page
    {fb_event_subscribe event='auth.login' action='window.location.reload'}
{/fb_init}
	{/if}

	<!--[if lt IE 7]>
		<p class="chromeframe">You are using an outdated browser. <a href="http://browsehappy.com/?locale=en">Upgrade your browser today</a> or <a href="http://www.google.com/chromeframe/?redirect=true">install Google Chrome Frame</a> to better experience this site.</p>
	<![endif]-->

	<div class="pxs_bg">
		<div class="pxs_bg3"></div>
	</div>
	<div class="header-container">
		<header>
			<div id="menu-bar">
				<div class="wrapper clearfix">
					{* main menu *}
					<nav id="main-menu">
						{mainmenu data=$top_menu base="base"}
					</nav>

					{* languages *}
					{if count($languages_url) > 1}
					<nav id="flags">
						<ul>
						{foreach from=$languages_url item=url key=language name=languages}
							<li>
								{if $language == $g_current_lang}
									<span class="selected">{$language|lower}</span>
								{else}
									<a href="{$url}">{$language|lower}</a>
								{/if}
							</li>
						{/foreach}
						</ul>
					</nav>
					{/if}

					{* link to footer menu - for mobile devices *}
					<nav id="link-to-footer">
						<ul>
							<li>
								<a href="#footer-menu">{'label_skip_to_menu'|T}</a>
							</li>
						</ul>
					</nav>

				</div>
			</div>
			<div id="basket-bar">
				<div class="wrapper clearfix">
					{* logo *}
					<div id="logo">
						<a href="{$breadcrumb[0].url}">{if $g_web_logo}<img src="{$g_web_logo}" alt="{$g_shop_name}" />{else}<h1>{$g_shop_name}</h1>{/if}</a>
					</div>

					{* search *}
					<div id="search">
						{form from=$search_form}
							{$elements.q.label}{$elements.q.element}
							<span class="hidden">{$elements.type.element}</span>
							<input type="submit" value="{"text_search"|T}" id="submit-search" name="search" />
						{/form}
					</div>

					{* basket *}
					<div id="basket">
						{if $basket_info.count > 0}
							<span class="basket">{'label_basket_items_count'|T}: <a href="{url name='basket'}">{$basket_info.count}</a></span>
							<span class="basket">{'label_price'|T}: <a href="{url name='basket'}">{$basket_info.price_sum_vat|money:false}</a></span>
							<a href="{url name='basket'}"> <span class="basket_icon"></span></a>
						{else}
							<span class="empty">{'text_basket_is_empty'|T}</span>
							<a href="{url name='basket'}"><span class="basket_empty_icon"></span></a>
						{/if}
					</div>
				</div>
			</div>
			<div id="slider-bar">
				{slider id=$slider_id}
			</div>
		</header>
	</div>

	<div class="main-shadow-container">
		<div class="main-shadow" id="main-shadow1"></div>
		<div class="main-shadow" id="main-shadow2"></div>
		<div class="main-shadow" id="main-shadow3"></div>
	</div>
	<div class="main-container">
		<div class="main wrapper clearfix">

			<section id="content">
				<div id="login-bar">
					{* login panel *}
					{if $is_login_user }
						{* User name *}
							{'label_user'|T}: <span id="logged-user">{$user->getUserName()}</span> |
							<a href="{url action='index' name='user'}">{'label_my_profile'|T}</a> |
							{if $auth_method != 'facebook'}
								<a href="{url action='logout' name='user' }">{'link_logout'|T}</a>
							{/if}
					{elseif !$is_need_post_registration}
						{* Form for login *}
						{form from=$login_form}
							<div>{$elements.login.label}{$elements.login.element}</div>
							<div>{$elements.password.label}{$elements.password.element}</div>
							<div>{$elements.submit.element}</div>
						{/form}
					{/if}
					{if $is_need_post_registration}
						<div class="registration_link">
							<a href="{url type="facebook" name="user" action="check-oauth-registration"}">{'link_oauth_do_registration'|T}</a>
						</div>
					{/if}
					{if !$is_login_user }
						{if $is_facebook_login}
							{if $is_need_post_registration}
								<div id="oauth-login">
									{fb_logout}
								</div>
							{else}
								<div id="oauth-login">
									{fb_login}
								</div>
							{/if}
						{/if}
					{else}
						{if $auth_method == 'facebook'}
							<div id="oauth-login">
								{fb_logout}
							</div>
						{/if}
					{/if}
					{if !$is_login_user && !$is_need_post_registration}
						<div id="login-link">
								<a href="{url action='registration' name='user'}">{'link_registration'|T}</a>&nbsp;&#124;&nbsp;
								<a href="{url action='lost-password' name='user'}">{'link_lost_password'|T}</a>
						</div>
					{/if}
				</div>
				<div class="clearfix"></div>

				{* actual content *}
				{include file=$content}
			</section>

			<aside>
				{* category menu tabs *}
				<div id="category-tabs">
					<div class="tab{if $category_tabs_selected == 'category'} active{/if}" id="category">
						<div class="tab-title">
							<a href="{url name='category'}">{"text_category"|T}</a>
						</div>
					</div>
					<div class="tab{if $category_tabs_selected == 'producers'} active{/if}" id="producer">
						<div class="tab-title">
							<a href="{url name='producers'}">{"text_producer"|T}</a>
						</div>
					</div>
				</div>

				<div class="clearfix"></div>
				<div id="left-tree">
					<div id="div-category" class="{if $category_tabs_selected == 'category'}active{/if}">
						{* Print category menu  *}
						<nav class="category-menu">
							{category_menu data=$category_data select=$select_category}
						</nav>
					</div>
					<div id="div-producer" class="{if $category_tabs_selected == 'producers'}active{/if}">
						{* Print producer menu *}
						<nav class="category-menu">
							<ul>
							{foreach from=$producers item=producer}
								<li class="{if $select_producer == $producer.id}selected{else}{/if}"><a href="{url name='producers' url=$producer.url}">{$producer.name|T}</a></li>
							{/foreach}
							</ul>
						</nav>
					</div>
				</div>

				{if $section == 'goods' && $item}
					{boxy name="ActionGoods" hidden_id=$item.id}
				{else}
					{boxy name="ActionGoods"}
				{/if}

				{* Heureka Overeno zakazniky box *}
				{if $heureka_widget}
				<div class="boxy">
					<div class="box-title">{'label_overeno_zakazniky'|T|escape}</div>
					<div class="box-content" id="heureka-box">
					{$heureka_widget}
					</div>
				</div>
				{/if}

				{boxy name="HelpLine"}

				{* Newsletter box *} {*TODO smazat kdyz to nebude potreba*}
				<div class="boxy">
					<div class="box-title">{'label_box_newsletter'|T|escape}</div>
					<div class="box-content" id="newsletter-box">

						<p>{'text_newsletter_zajem'|T}:</p>
						{form from=$newsletter_form}
							<label for="email">{'label_email_example'|T}</label>
                            {$elements.email.element}
                            {$elements.submit.element}
						{/form}
					</div>
				</div>

				{* Facebook boxes *} {*TODO smazat kdyz to nebude potreba*}
				{if $facebook_box_set.viewFlag}
					<div class="boxy">
					{fb_pagelike width="240" boxSet=$facebook_box_set}
					</div>
				{elseif $is_facebook_page_like}
					<div class="boxy">
					{fb_pagelike width="240" profile_id=$facebook_page_id stream=$facebook_show_page_stream }
					</div>
				{/if}
				{if $is_facebook_recommendations}
					<div class="boxy">
					{fb_recommendations width="240" }
					</div>
				{/if}

				{* Partners *} {*TODO smazat kdyz to nebude potreba*}
				{boxy name="LinksPartners"}

				{* Logos *} {*TODO smazat kdyz to nebude potreba*}
				{boxy name="Logos"}
			</aside>
		</div> <!-- #main -->
	</div> <!-- #main-container -->

	<div class="footer-container">
		<footer>
			<div id="bottom-menu-bar">
				{* bottom menu *}
				<nav id="footer-mini-menu">
				<div class="wrapper">
					<span>{'label_bottom_menu'|T}</span>
					{bottommenu data=$bottom_menu}
				</div>
				</nav>

				<nav id="footer-menu">
					<!--[if lt IE 7]><a id="footer-menu-anchor" name="footer-menu" href="#"></a><![endif]-->
					<div class="wrapper">
						{mainmenu data=$top_menu}
					</div>
				</nav>
			</div>
			<div id="bottom-boxes-bar">
				<div class="wrapper">
					<div class="boxy">
						<div class="box-title">{'label_contact'|T}</div>
						<div class="box-content">
							{if $g_owner_street || $g_owner_city}
							<div class="address">
								<div class="middle">
								{$g_owner_street}<br />
								{$g_owner_city}
								{$g_owner_zip}
								</div>
							</div>
							{/if}
							{if $g_owner_phone || $g_owner_fax}
							<div class="phone">
								<div class="middle">
									{if $g_owner_phone}<div class="value" title="{'label_phone'|T}">{$g_owner_phone}</div>{/if}
									{if $g_owner_fax}<div class="value">{$g_owner_fax} ({'label_fax'|T})</div>{/if}
								</div>
							</div>
							{/if}
							{if $g_owner_email}
							<div class="email">
								<div class="middle">
									{mailto address=$g_owner_email text=$g_owner_email extra=''}
								</div>
							</div>
							{/if}
						</div>
					</div>

					{if $section == 'goods' && $item}
						{boxy name="ActionGoods" hidden_id=$item.id}
						{boxy name="NewsGoods" hidden_id=$item.id}
					{else}
						{boxy name="ActionGoods"}
						{boxy name="NewsGoods"}
					{/if}
					{boxy name="StaticText"}
					<div class="fb-place"></div>
					<div class="clearfix"></div>
				</div>
			</div>

			<div id="copyright-bar">
				<div class="wrapper">
					<div id="copyright">
						Copyright &copy; 2009 - {$smarty.now|date_format:"%Y"}&nbsp;&#124;&nbsp;
						engine by <a href="http://www.awebsys.cz/" title="webové řešení na míru A-WebSys, spol. s.r.o.">A-WebSys, spol. s r.o.</a>&nbsp;&#124;&nbsp;
						pronájem e-shopu <a href="http://www.proeshop.cz/" title="pronájem eshopu">ProEshop</a>
					</div>
					<div class="provider">
						{if $g_owner_www}
							<a href="{$g_owner_www}" title="{$g_owner_www}">{$g_owner_name}</a>
						{else}
							{$g_owner_name}
						{/if}
					</div>
				</div>
			</div>
			<div class="footer-text wrapper">
				{text key='footer'}
			</div>
		</footer>
	</div>

	{*HTML/JS code with access counter*}
	<div>
		{$html_code_counter}
	</div>
	{$html_code_footer}

	{* Include Javascript *}
	<script src="{$web_path}/js/vendor/jquery-ui.js"></script>
	<script src="{$web_path}/js/vendor/jquery.fancybox.js"></script>
	<script src="{$web_path}/js/vendor/jquery.autocomplete.js"></script>
	<script src="{$web_path}/js/vendor/jquery.tipsy.js"></script>
	<script src="/js/slider-parallax.js"></script>
	<script type="text/javascript" src="{$web_path}/js/jquery.cookie.js"></script>
	<script src="{$web_path}/js/web.js"></script>

	<script src="{$web_path}/js/plugins.js"></script>


	{*JS code search autocomplete*}
	{literal}
	<script type="text/javascript">
	<!--
		$(document).ready(function(){
			$("#query-search").autocomplete('{/literal}{url name='search' action='auto-complate'}{literal}', {
				minChars: 3,
				extraParams: {
					type: 'goods'
//					type: function(){
//						return $("#search input[@name='type']:checked").val();
//					}
				}
			});
		});
	-->
	</script>
	{/literal}

	{*JS add goods to basket confirmation *}
	<script type="text/javascript">
		{literal}
			function check_add_basket(data)
			{
				if (!isCookieEnabled()) {
					alert ('{/literal}{'text_basket_cookies_disabled'|T}{literal}');
					return false;
				}
				else if (data['availability'].value == "_const_dostupnost_neni_skladem") {
					return confirm('{/literal}{'confirm_dostupnost_neni_skladem'|T}{literal}');
				} else if (data['param_id'].value % 1 !== 0) {
					alert('{/literal}{'alert_select_variant'|T}{literal}');
					return false;
				} else {
					return true;
				}
			}
		{/literal}
	</script>
	<div id="cookiesAgreement">
		<span>{"_cookies_agreement"|T}</span>
		<a target="_blank" href="https://www.google.com/intl/{$g_current_lang}/policies/technologies/cookies/" class="btn btn-cookies">
			{"_cookies_button_more"|T}
		</a>
		<button class="btn btn-agree">{"_cookies_button_agree"|T}</button>
	</div>
	<div id="floatingBanner" style="display:none;">{"_disabled_cookies"|T}</div>

</body>
</html>
