{* breadcrumb *}
{if $breadcrumb}
	<nav id="breadcrumb" itemprop="breadcrumb">
		{foreach from=$breadcrumb item='bitem' name='breadcrumb'}
			{if !$smarty.foreach.breadcrumb.last}
				<a href="{$bitem.url}" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</a>
				&gt;
			{else}
				<span class="last" typeof="v:Breadcrumb" rel="v:url" property="v:title">{$bitem.name|T}</span>
			{/if}
		{/foreach}
	</nav>
{/if}

<div id="headline">{$headline1|T|headline1}</div>
<div class="content_data">
	{* Prelude list - category, search, producers *}
	<div class="prelude">
	{text key='list_prelude'}
	</div>
	{if $description_text}
	<div class="category-description">
		{image class="icon" size="middle" type="category" path=$category_icon.path image=$category_icon.file alt=$category_icon.description|escape}
		{$description_text}
		<div class="clearfix"></div>
	</div>
	{/if}

	<div id="filter-tabs">
	{if count($one_level_navigation) > 0}
		<div class="tab{if !$is_filter} active{/if}" id="subcategory">
			<div class="tab-title">
				{"label_category"|T}
			</div>
		</div>
	{/if}
	{if 0 != $goods.items_total || $is_filter}
		<div class="tab{if count($one_level_navigation) == 0 || $is_filter} active{/if}" id="filter">
			<div class="tab-title">
				{"label_filter"|T}
			</div>
		</div>
	{/if}
		<div class="tab{if !count($one_level_navigation) > 0 && 0 == $goods.items_total && !$is_filter} active{/if}" id="paginator">
			<div class="tab-title">
				{"label_paginator"|T}
			</div>
		</div>
	</div>
	<div class="clearfix"></div>
	<div id="left-tree">
	{* One Level Up Navigation *}
	{if count($one_level_navigation) > 0}
		<div id="div-subcategory" class="box_filter{if !$is_filter} active{/if}">
			<ul>
			{foreach from=$one_level_navigation item='item' }
				<li><a href="{$item.url}">{$item.name|escape}</a></li>
			{/foreach}
			</ul>
		</div>
	{/if}

	{form from=$filter_form}
	{* Goods iterator*}
	{if 0 != $goods.items_total || $is_filter}
		<div id="div-filter" class="box_filter{if count($one_level_navigation) == 0 || $is_filter} active{/if}">
		{* Filter Box *}
			<div class="button">
				{$elements.filter_submit.element}
			</div>
			<fieldset class="filter">
				{* Hidden element for search *}
				{$elements.q.element}
				{* Hidden element for view type *}
				{$elements.type.element}
				{* Standart filter *}
				<div class="filter-box filters">
					<fieldset>
						<div>
							<legend>{"label_type"|T}:</legend>
							{$elements.only_action.element} {$elements.only_action.label}
							{$elements.only_news.element} {$elements.only_news.label}
						</div>
					</fieldset>
				</div>
				{* Filter By Producer   *}
				{if ($show_producers_filter)}
				<div class="producer-box filters">
					<fieldset>
						<div>
						<legend>{"label_producers"|T}:</legend>
						{if $count_producers_in_category}
							{$elements.producers.element}
						{else}
							{'text_no_producer_in_category'|T}
						{/if}
						</div>
					</fieldset>
				</div>
				{/if}
				{* Parameter filter *}
				{if ($filter)}
				<div class="parameter-box filters">
					<fieldset>
						{foreach from=$filter key='filter_key' item='filter_values'}
						<div>
							<legend>{$filter_values.name}:</legend>
							{foreach from=$filter_values.values key='filter_option_key' item='filter_option_values' name='filter'}
								<span>
									<label for="{$filter_key}-{$smarty.foreach.filter.index}">
										<input name="{$filter_key}[]"
												id="{$filter_key}-{$smarty.foreach.filter.index}"
												value="{$filter_option_key}"
												class="filter_params"
												{if $filter_option_values.active}checked="checked"{/if}
												type="checkbox">{$filter_option_values.name}
									</label>
								</span>
							{/foreach}
						</div>
						{/foreach}
					</fieldset>
				</div>
				{/if}
			</fieldset>
		</div>
	{/if}

		<div id="div-paginator" class="box_filter{if !count($one_level_navigation) > 0 && 0 == $goods.items_total && !$is_filter} active{/if}">
			<strong>{$elements.sort_by.label}</strong> {$elements.sort_by.element}&nbsp;&nbsp;&nbsp;
			<strong>{$elements.items_per_page.label}</strong> {$elements.items_per_page.element}
		</div>
	</div>
	{/form}

		<div class="clearfix"></div>
	{if 0 != $goods.items_total || $is_filter}

		{* Goods iterator*}
		{if 0 == $goods.items_total}
			<div class="message">
			{'text_no_goods_by_filter'|T}
			</div>
		{else}
			{* Top Paginator *}
			{*{paginator total=$goods.items_total page=$goods.actual_page count=$goods.items_per_page url=$paginator_url separator=" " nextText="&gt;" prevText="&lt;" firstText="&lt;&lt;" lastText="&gt;&gt;"}*}
			{*if 'table' == $view_type*}
			{* Table type view *}
			{*
			<table class="datagrid product-list-table">
				<thead>
					<tr>
						<th>{"label_code"|T}</th>
						<th>{"label_name"|T}</th>
						<th>{"label_producer"|T}</th>
						<th>{"label_availability"|T}</th>
						<th>{"label_price"|T}</th>
						<th></th>
					</tr>
				</thead>
				<tbody>
					{foreach from=$goods.data item='item' }
					<tr class="{cycle values="odd,even"}">
						<td class="code">{$item.code|escape}</td>
						<td class="name"><a href="{url name='goods' url=$item.url}">{$item.name|escape}</a></td>
						<td class="producer"><a href="{url name="producers" url=$item.producer_url}">{$item.producer|T|escape}</a></td>
						<td class="availability">{$item.availability|T|escape}</td>
						<td class="price">{$item.price_vat|money}</td>
						<td class="add-cart">
						{if $item.price_vat != 0 || !$price_on_demand}
							<form method="post" action="{url name='basket_add'}" onsubmit="return check_add_basket(this);">
								<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
								<input type="hidden" name="param_id" value="{$item.parametr_id}" class="param" />
								<input type="hidden" name="availability" value="{$item.availability}" class="param" />
								<input type="hidden" name="count" value="1" class="param" />
								<div class="value"><button type="submit" name="add_cart" value="{"text_buy"|T}" class="to-cart" /></button></div>
							</form>
						{/if}
						</td>
					</tr>
					{/foreach}
				</tbody>
			</table>
			{else*}
			{* Image type view *}
			<div class="product-list">
				{foreach from=$goods.data item='item' name="products" }
					<div class="product-box">
						<div class="action_buttons">
							<div class="wrapper_bottom">
								{if $item.in_action}
								<div class="action_banner">{"label_action_product"|T}</div>
								{/if}
								{if $item.is_news}
								<div class="news_banner">{"label_news_product"|T}</div>
								{/if}
							</div>
						</div>
						<div class="image">
							<a href="{url name='goods' url=$item.url}">
								{if $item.img_file}
									{image size="middle" type="goods" path=$item.img_path image=$item.img_file alt=$item.name|escape}
								{else}
									<img src="{$web_path}/images/no_image_middle.png" alt="{'text_no_image'|T}" />
								{/if}
							</a>
						</div>
						<div class="name"><a href="{url name='goods' url=$item.url}">{$item.name|escape}</a></div>
						<div class="availability">{'text_availability'|T}: {$item.default_availability|T}</div>
						<div class="text">{$item.short_text}</div>
						<div class="price-box">
							{if $item.price_vat != 0 || !$price_on_demand}
							{* Add to cart  *}
							<div class="add-cart">
								<form method="post" action="{url name='basket_add'}" onsubmit="return check_add_basket(this);">
									<input type="hidden" name="goods_id" value="{$item.pid}" class="param" />
									<input type="hidden" name="param_id" value="{$item.parametr_id}" class="param" />
									<input type="hidden" name="availability" value="{$item.availability}" class="param" />
									<input type="hidden" name="count" value="1" class="param" />
									<div class="value"><button type="submit" name="add_cart" value="sended" class="to-cart"></button></div>
								</form>
							</div>
							{/if}
							{*if $item.normal_price_vat}
							{<div class="normal-price">{$item.normal_price_vat|money}</div>}
							{/if*}
							<div class="v_outer">
							<div class="v_middle">
							<div class="v_inner">
								<div class="price">
									{if !$item.same_price}{'text_od'|T}:{/if}
									<span class="price">{if $item.price_vat != 0 || !$price_on_demand}{$item.price_vat|money}{else}{'label_price_on_demand'|T}{/if}</span>
								</div>
								{assign var='vat' value=$item.vat|percents}
							{if ($item.price_vat != 0 || !$price_on_demand) && $g_shop_type != 4}
								<div class="price-text">{if $item.vat != 0}{'text_with_vat_supplement'|T:$vat}{else}{'text_with_vat_supplement'|T:''}{/if}</div>
							{/if}
							</div>
							</div>
							</div>
						</div>
					</div>
				{/foreach}
			</div>
			{*/if*}

			<div class="clearfix"></div>

			{* Bottom paginator *}
			{paginator
				total=$goods.items_total
				page=$goods.actual_page
				count=$goods.items_per_page
				url=$paginator_url
				separator=''
				nextText='_label_paginator_next'|T
				prevText='_label_paginator_prev'|T
				firstText='_label_paginator_first'|T
				lastText='_label_paginator_last'|T}
		{/if}
	{/if}
	<div class="clearfix"></div>
</div>
